# std::mem_fun_ref_t< _Ret, _Tp > Class Template Reference
[Adaptors for pointers to members]

One of the adaptors for member pointers. More...

`#include <stl_function.h>`

Inheritance diagram for std::mem_fun_ref_t< _Ret, _Tp >:

[legend]
Collaboration diagram for std::mem_fun_ref_t< _Ret, _Tp >:

[legend]
List of all members.

## Public Types

typedef _Tp | argument_type
| `argument_type` is the type of the argument (no surprises here)
typedef _Ret | result_type
| `result_type` is the return type

## Detailed Description

### template<class _Ret, class _Tp>
class std::mem_fun_ref_t< _Ret, _Tp >

One of the adaptors for member pointers.

Definition at line 549 of file stl_function.h.

## Member Typedef Documentation

typedef _Tp std::unary_function< _Tp, _Ret >::argument_type`[inherited]`

| `argument_type` is the type of the argument (no surprises here) Definition at line 103 of file stl_function.h.

typedef _Ret std::unary_function< _Tp, _Ret >::result_type`[inherited]`

| `result_type` is the return type Definition at line 104 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h